#!/usr/bin/env python
# -*- coding:utf-8 -*-
# __author__ = hzmin
# __date__ = 2022/7/7

CODE = {
    # 成功
    200: {"code": 200, "zh-cn": "成功"},
    400: {"code": 400, "zh-cn": "成功"},

    # 服务器错误
    1000: {"code": 1000, "zh-cn": "服务器错误"},

    # 参数错误
    1001: {"code": 1001, "zh-cn": "参数无效"},
    1002: {"code": 1002, "zh-cn": "参数为空"},
    1003: {"code": 1003, "zh-cn": "参数类型错误"},
    1004: {"code": 1004, "zh-cn": "参数缺失"},
    1005: {"code": 1005, "zh-cn": "业务对象编码不符合命名规则：小写字母和下划线组成、必须以小写字母开头"},
    1006: {"code": 1006, "zh-cn": "属性名称不可重复"},
    1007: {"code": 1007, "zh-cn": "属性名称不符合命名规则：小写字母、数字和下划线组，必须以小写字母开头"},

    # 用户错误
    2001: {"code": 2001, "zh-cn": "用户未登录"},
    2002: {"code": 2002, "zh-cn": "账号不存在或密码错误"},
    2003: {"code": 2003, "zh-cn": "账号已被禁用"},
    2004: {"code": 2004, "zh-cn": "用户不存在"},
    2005: {"code": 2005, "zh-cn": "用户已存在"},
    2006: {"code": 2006, "zh-cn": "无效ticket"},
    2007: {"code": 2007, "zh-cn": "secret_key校验失败"},

    # 业务错误
    3001: {"code": 3001, "zh-cn": "某业务出现问题"},
    3002: {"code": 3002, "zh-cn": "此关系边已添加"},
    3003: {"code": 3003, "zh-cn": "当前业务对象被其他模块引用（下线后可能导致其他模块运行失败），确认下线执行下线操作？"},
    3004: {"code": 3004, "zh-cn": "业务对象执行上线操作失败"},

    # 系统错误
    4001: {"code": 4001, "zh-cn": "系统繁忙，请稍后重试"},

    # 数据错误
    5001: {"code": 5001, "zh-cn": "数据查询失败"},
    5002: {"code": 5002, "zh-cn": "数据入库失败"},
    5003: {"code": 5003, "zh-cn": "数据更新失败"},
    5004: {"code": 5004, "zh-cn": "数据删除失败"},
    5005: {"code": 5005, "zh-cn": "数据新增失败：业务对象名称或业务对象 code 重复"},
    5006: {"code": 5006, "zh-cn": "数据新增失败：唯一值字段重复"},
    5007: {"code": 5007, "zh-cn": "数据不存在或已删除，不可更新"},
    5008: {"code": 5008, "zh-cn": "数据更新状态异常，更新失败"},
    5009: {"code": 5009, "zh-cn": "数据不存在或已删除"},
    5010: {"code": 5010, "zh-cn": "内置数据无法删除"},
    5011: {"code": 5011, "zh-cn": "内置数据无法更新"},
    5012: {"code": 5012, "zh-cn": "数据删除失败"},
    5013: {"code": 5013, "zh-cn": "业务对象必须是下线状态才可以编辑、更新"},
    5014: {"code": 5014, "zh-cn": "上传的文件类型错误，要求：csv文件"},
    5015: {"code": 5015, "zh-cn": "依赖数据不存在"},
    5016: {"code": 5016, "zh-cn": "数据操作异常"},
    5017: {"code": 5017, "zh-cn": "审批通过数据不可删除"},
    5018: {"code": 5018, "zh-cn": "标注数据格式错误"},
    5019: {"code": 5019, "zh-cn": "审批数据不存在"},

    # 第三方库
    5501: {"code": 5501, "zh-cn": "未查询到库表数据"},
    5502: {"code": 5502, "zh-cn": "表不存在，上线后可查询"},
    5503: {"code": 5503, "zh-cn": "依赖数据不存在或状态不正确"},
    5504: {"code": 5504, "zh-cn": "查询数据库出错，确认参数后重试"},
    5505: {"code": 5505, "zh-cn": "修改自定义数据库表结构失败"},
    5506: {"code": 5506, "zh-cn": "删除自定义数据库表失败"},
    5507: {"code": 5507, "zh-cn": "插入数据库字段为空，请确认字段是否正确"},
    5508: {"code": 5508, "zh-cn": "导入数据失败"},
    5509: {"code": 5509, "zh-cn": "暂不支持该类型数据库操作"},
    5510: {"code": 5510, "zh-cn": "插入数据唯一值重复"},

    # 接口错误
    6001: {"code": 6001, "zh-cn": "内部系统接口调用异常"},
    6002: {"code": 6002, "zh-cn": "id"},
    6003: {"code": 6003, "zh-cn": "该接口禁止访问"},
    6004: {"code": 6004, "zh-cn": "接口地址无效"},
    6005: {"code": 6005, "zh-cn": "接口请求超时"},
    6006: {"code": 6006, "zh-cn": "接口负载过高"},

    # 权限错误
    7001: {"code": 7001, "zh-cn": "无权限访问"},

    # 第三方调用错误
    8001: {"code": 8001, "zh-cn": "(hdfs)上传文件失败"},
    8002: {"code": 8002, "zh-cn": "(hdfs)上传文件失败：文件已存在"},
    8003: {"code": 8003, "zh-cn": "上传文件失败"},
    8004: {"code": 8004, "zh-cn": "上传文件失败：文件已存在"},
    8005: {"code": 8005, "zh-cn": "上传文件类型错误"},

    # 失败
    9999: {"code": 9999, "zh-cn": "失败"},
}
